### Method

# GIRepository BaseInfo get_attribute

since: 2.80

#### Declaration

    const char*
    gi_base_info_get_attribute (
      GIBaseInfo* info,
      const char* name
    )

#### Description

Retrieve an arbitrary attribute associated with this node.

Available since: 2.80

#### Parameters

`name`

  Type: `const char*`

  A freeform string naming an attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The value of the attribute, or `NULL` if no such attribute exists.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.